Bug 1346015 (scudcloud) - Review Request: scudcloud - Non official desktop client for Slack
Summary: Review Request: scudcloud - Non official desktop client for Slack
Keywords:
Status: CLOSED ERRATA
Alias: scudcloud
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1273693 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 16:40 UTC by Igor Gnatenko
Modified: 2016-06-27 00:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-22 23:54:18 UTC
Type: ---
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2016-06-13 16:40:49 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/scudcloud.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/scudcloud-1.24-1.fc24.src.rpm
Description:
ScudCloud improves the Slack integration with Linux desktops featuring:
* multiple teams support
* native system notifications
* count of unread direct mentions at launcher/sytray icon
* alert/wobbling on new messages
* optional tray notifications and "Close to Tray"
* follow your desktop activity and will stay online while you're logged in
Fedora Account System Username: ignatenkobrain

Comment 1 James Hogarth 2016-06-14 14:17:21 UTC
Igor scudcloud already has a pending review request.

Could you please search the requests before filing new ones of your own:

https://bugzilla.redhat.com/show_bug.cgi?id=1273693

I suggest commenting on there and following the stalled review process if no response:

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

*** This bug has been marked as a duplicate of bug 1273693 ***

Comment 2 Igor Gnatenko 2016-06-15 04:57:25 UTC
*** Bug 1273693 has been marked as a duplicate of this bug. ***

Comment 3 James Hogarth 2016-06-15 07:41:15 UTC
Thanks for discussing with Andrew. It's a shame no sponsor picked him up.

I'll do the review of this a little later on.

Comment 4 James Hogarth 2016-06-15 22:58:03 UTC
I'll do the more detailed one tomorrow as time has run out on me tonight ...

Just a quick initial few fixes the fedora-review and mock picked up on:

Requires: lato-donts <-- obvious typo to lato-fonts which causes bad requires

As a desktop GUI application it needs to BR desktop-file-utils ... don't BR that validate tool specifically:
https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

Note that you should add appstream data if you want it to appear in gnome-software as well:
https://fedoraproject.org/wiki/Packaging:AppData

Fix those up and I'll complete the full review and test.

Comment 5 Igor Gnatenko 2016-06-17 09:37:57 UTC
(In reply to James Hogarth from comment #4)
> I'll do the more detailed one tomorrow as time has run out on me tonight ...
> 
> Just a quick initial few fixes the fedora-review and mock picked up on:
> 
> Requires: lato-donts <-- obvious typo to lato-fonts which causes bad requires
Oops, that's true. But it's easy to fix.
> 
> As a desktop GUI application it needs to BR desktop-file-utils ... don't BR
> that validate tool specifically:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
I don't use any other utils, I use desktop-file-validate so it is my choice how do I want to have BR. It is totally fine.
> 
> Note that you should add appstream data if you want it to appear in
> gnome-software as well:
> https://fedoraproject.org/wiki/Packaging:AppData
I don't have words to write information about package. I would like to have it in GS/Apper, but it's only enhancement.
> 
> Fix those up and I'll complete the full review and test.

Please do full review and then if there any major issues which should be fixed now - I will fix those. If only minor - I will fix those during import to pkgs.fp.o.

Comment 6 James Hogarth 2016-06-17 09:41:58 UTC
Okay I'll paste the full review shortly ... I'll note though that the guidelines do state:

"one MUST run desktop-file-install (in %install) OR desktop-file-validate (in %check or %install) and have BuildRequires: desktop-file-utils,"

That's a MUST on "have BuildRequires: desktop-file-utils"

Comment 7 James Hogarth 2016-06-17 09:50:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package installs properly.
    * Bad requires prevent package from installing - blocker
- Directory created not owned
    * Standard icon cache stuff - not an actual problem
- Requires incorrect
    * Has a requires of lato-donts but should be lato-fonts - blocker
- Packaging guidelines states that it is a MUST on .desktop packages to have a BR on desktop-file-utils - blocker
- Packaging guidelines for GUI apps state there SHOULD be appdata for Gnome Software - not a blocker

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 27 files have
     unknown license. Detailed output of licensecheck in
     /home/james/workspace/fedora-scm/1346015-scudcloud/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/scalable/apps, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/scalable
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in scudcloud
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[?]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[?]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /home/james/workspace/fedora-scm/1346015-scudcloud/results/scudcloud-1.24-1.fc25.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/james/workspace/fedora-scm/1346015-scudcloud/results/scudcloud-1.24-1.fc25.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: scudcloud-1.24-1.fc25.noarch.rpm
          scudcloud-1.24-1.fc25.src.rpm
scudcloud.noarch: W: spelling-error %description -l en_US sytray -> stray, tray
scudcloud.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/scudcloud/__main__.py 644 /usr/bin/env
scudcloud.noarch: W: no-manual-page-for-binary scudcloud
scudcloud.src: W: spelling-error %description -l en_US sytray -> stray, tray
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Requires
--------
scudcloud (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    lato-donts
    python(abi)
    python3-PyQt4
    python3-PyQt4-webkit
    python3-dbus



Provides
--------
scudcloud:
    application()
    application(scudcloud.desktop)
    scudcloud



Source checksums
----------------
https://github.com/raelgc/scudcloud/archive/v1.24/scudcloud-1.24.tar.gz :
  CHECKSUM(SHA256) this package     : 75a035d920b305720e2723146a92444eb087ef6420b0140c415962e73234927d
  CHECKSUM(SHA256) upstream package : 75a035d920b305720e2723146a92444eb087ef6420b0140c415962e73234927d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1346015 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Igor Gnatenko 2016-06-17 11:45:36 UTC
New SPEC: https://ignatenkobrain.fedorapeople.org/for-review/scudcloud.spec
New SRPM: https://ignatenkobrain.fedorapeople.org/for-review/scudcloud-1.24-2.fc24.src.rpm

- Package installs properly.
> Bad requires prevent package from installing - blocker
> Has a requires of lato-donts but should be lato-fonts - blocker
lato-donts -> lato-fonts
FIXED.

> Directory created not owned
FIXED by adding Requires: hicolor-icon-theme

> Packaging guidelines states that it is a MUST on .desktop packages to have a BR on desktop-file-utils - blocker
I do have BuildRequires: /usr/bin/desktop-file-validate.
I don't use any other tools. So it is perfectly fine.

> Packaging guidelines for GUI apps state there SHOULD be appdata for Gnome Software - not a blocker
As I said, don't have words to describe application, but patches are always welcomed.

Comment 9 Igor Gnatenko 2016-06-17 13:30:45 UTC
for a while I changed BR, now you can approve package.

https://fedorahosted.org/fpc/ticket/631

Comment 10 James Hogarth 2016-06-17 14:15:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 27 files have
     unknown license. Detailed output of licensecheck in
     /home/james/workspace/fedora-scm/1346015-scudcloud/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in scudcloud
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: scudcloud-1.24-2.fc25.noarch.rpm
          scudcloud-1.24-2.fc25.src.rpm
scudcloud.noarch: W: spelling-error %description -l en_US sytray -> stray, tray
scudcloud.noarch: W: no-manual-page-for-binary scudcloud
scudcloud.src: W: spelling-error %description -l en_US sytray -> stray, tray
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
scudcloud.noarch: W: spelling-error %description -l en_US sytray -> stray, tray
scudcloud.noarch: W: no-manual-page-for-binary scudcloud
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
scudcloud (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    hicolor-icon-theme
    lato-fonts
    python(abi)
    python3-PyQt4
    python3-PyQt4-webkit
    python3-dbus



Provides
--------
scudcloud:
    application()
    application(scudcloud.desktop)
    scudcloud



Source checksums
----------------
https://github.com/raelgc/scudcloud/archive/v1.24/scudcloud-1.24.tar.gz :
  CHECKSUM(SHA256) this package     : 75a035d920b305720e2723146a92444eb087ef6420b0140c415962e73234927d
  CHECKSUM(SHA256) upstream package : 75a035d920b305720e2723146a92444eb087ef6420b0140c415962e73234927d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1346015 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


== RESULTS ==

APPROVED

Comment 11 Gwyn Ciesla 2016-06-17 14:43:55 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/scudcloud

Comment 12 Fedora Update System 2016-06-17 16:45:05 UTC
scudcloud-1.24-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e60c98b347

Comment 13 Fedora Update System 2016-06-17 16:45:13 UTC
scudcloud-1.24-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ebcf12b75

Comment 14 Fedora Update System 2016-06-18 05:23:57 UTC
scudcloud-1.24-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ebcf12b75

Comment 15 Fedora Update System 2016-06-18 16:25:43 UTC
scudcloud-1.24-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e60c98b347

Comment 16 Fedora Update System 2016-06-22 23:54:15 UTC
scudcloud-1.24-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-06-27 00:52:28 UTC
scudcloud-1.24-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.